// Copyright (c) 2021 Dominic Masters
// 
// This software is released under the MIT License.
// https://opensource.org/licenses/MIT

# pragma once

// Target Settings
#cmakedefine SETTING_TARGET_WIN32 @SETTING_TARGET_WIN32@
#cmakedefine SETTING_TARGET_RG351 @SETTING_TARGET_RG351@

#cmakedefine SETTING_TARGET @SETTING_TARGET@

// Platform Settings
#cmakedefine SETTING_PLATFORM_GLFW @SETTING_PLATFORM_GLFW@
#cmakedefine SETTING_PLATFORM_SDL @SETTING_PLATFORM_SDL@

#cmakedefine SETTING_PLATFORM @SETTING_PLATFORM@

#cmakedefine SETTING_PLATFORM_USE_GLAD @SETTING_PLATFORM_USE_GLAD@

// Game Settings
#cmakedefine SETTING_GAME_POKER @SETTING_GAME_POKER@
#cmakedefine SETTING_GAME_DAWN @SETTING_GAME_DAWN@
#cmakedefine SETTING_GAME @SETTING_GAME@

#cmakedefine SETTING_GAME_NAME "@SETTING_GAME_NAME@"